# Uses of Interface
java.net.http.WebSocket.Listener

Packages that use WebSocket.Listener
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of WebSocket.Listener in java.net.http

Methods in java.net.http with parameters of type WebSocket.Listener
Modifier and Type
Method
Description
`CompletableFuture<WebSocket>`
WebSocket.Builder.`buildAsync(URI uri, WebSocket.Listener listener)`
Builds a `WebSocket` connected to the given `URI` and associated with the given `Listener`.